lens-4.13: Lenses, Folds and Traversals

Copyright | (C) 2012-15 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | Rank2Types
Safe Haskell | None
Language | Haskell98

Data.Typeable.Lens

Description

Synopsis

- _cast :: (Typeable s, Typeable a) => Traversal' s a
- _gcast :: (Typeable s, Typeable a) => Traversal' (c s) (c a)

# Documentation

_cast :: (Typeable s, Typeable a) => Traversal' s a Source

A `Traversal'` for working with a `cast` of a `Typeable` value.

_gcast :: (Typeable s, Typeable a) => Traversal' (c s) (c a) Source

A `Traversal'` for working with a `gcast` of a `Typeable` value.